Bug 814332 - Documentation is not pointing to locally installed javadoc
Documentation is not pointing to locally installed javadoc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 11:46 EDT by Alexander Kurtakov
Modified: 2014-01-12 19:27 EST (History)
8 users (show)

See Also:
Fixed In Version: eclipse-4.2.0-0.17.I201204171000.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 01:04:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2012-04-19 11:46:11 EDT
If one looks at the build.log from koji it will notice a number of "[java]      [exec] javadoc: warning - Error fetching URL: http://download.oracle.com/javase/1.5.0/docs/api/package-list ". This should not happen but the system wide javadoc should be used. It's done by sed in the eclipse.spec http://pkgs.fedoraproject.org/gitweb/?p=eclipse.git;a=blob;f=eclipse.spec;h=123a3f3b45f9a19f5596753dad71e620e8fb7998;hb=a65b26d35c3d1d156949afc2383ae317d313c4f4#l206 but obviously it's wrong nowadays.
Comment 1 Fedora Update System 2012-04-20 06:14:59 EDT
eclipse-4.2.0-0.16.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.16.I201204171000.fc17
Comment 2 Fedora Update System 2012-04-21 17:04:40 EDT
Package eclipse-4.2.0-0.16.I201204171000.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-4.2.0-0.16.I201204171000.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6324/eclipse-4.2.0-0.16.I201204171000.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-23 09:34:19 EDT
eclipse-4.2.0-0.17.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.17.I201204171000.fc17
Comment 4 Fedora Update System 2012-04-25 01:04:30 EDT
eclipse-4.2.0-0.17.I201204171000.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.